- Determine the baud rate and communication protocol to the device connected to the CAN bus.
- Either bought or homemade, you will need a USB to CAN bus adapter.
- The driver software must be written as a ROS2 node running the current LTS release.
- The ROS2 CAN bus motor driver must translate a geometry_msgs/Twist message for the motor to understand.
- For a test, the driver can get his movement commands from an Ackerman steering ROS2 node, which provides a geometry_msgs/Twist message.
- The documentation must explain several points:
	- Which USB-to-CAN bus adapter have you used and why?
	- How the CAN bus driver on the single-board computer translates its incoming messages so that the device connected to the USB-to-CAN bus adapter can understand them.
	- Your software project structure.
	- Difficulties you have had.
- In addition, the project report must contain several points:
	- All in the documentation.
	- real time investment.
	- A UML use case diagram of the driver
	- A UML domain diagram of the driver.
	- A UML flowchart of a test use case
	- Schematics
- In the first week of the project, you'll create an Expose in which you will
	- Define responsibilities
	- Forecast your time expectations
	- Define any hardware components you need
	- Define any help you'll need